/*
 * Created on 28.09.2004
 *
 */


package gnu.java.beans.decoder;


/** AssemblyException is used to wrap the cause of problems when assembling objects.
 * In all cases only the wrapped exception is given to the PersistenceParser's
 * ExceptionListener instance (never the AssemblyException itself).
 * 
 * note: Often multiple steps are needed to construct a fully usuable instance.
 * Such a construction can be called assembly and thats why this exception was
 * named AssemblyException.
 *
 * @author Robert Schuster
 */
class AssemblyException extends Exception
{
  AssemblyException(Throwable cause)
  {
    super(cause);
  }
}
